<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>com.here.android.mpa.cluster (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.here.android.mpa.cluster (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/ar/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../com/here/android/mpa/common/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/cluster/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package com.here.android.mpa.cluster</h1>
<div class="docSummary">
<div class="block">This
    package provides classes, interfaces, and enumerations for Marker clustering.</div>
</div>
<p>See: <a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/cluster/BasicClusterStyle.html" title="class in com.here.android.mpa.cluster">BasicClusterStyle</a></td>
<td class="colLast">
<div class="block">Basic implementation of <a href="../../../../../com/here/android/mpa/cluster/ClusterStyle.html" title="class in com.here.android.mpa.cluster"><code>ClusterStyle</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/cluster/ClusterDensityRange.html" title="class in com.here.android.mpa.cluster">ClusterDensityRange</a></td>
<td class="colLast">
<div class="block">Represents a range of cluster densities that can be represented, such as '5 to 10 markers'.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/cluster/ClusterLayer.html" title="class in com.here.android.mpa.cluster">ClusterLayer</a></td>
<td class="colLast">
<div class="block"><code>ClusterLayer</code> is a container of <a href="../../../../../com/here/android/mpa/mapping/MapMarker.html" title="class in com.here.android.mpa.mapping"><code>MapMarker</code></a>
 instances.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/cluster/ClusterStyle.html" title="class in com.here.android.mpa.cluster">ClusterStyle</a></td>
<td class="colLast">
<div class="block">A base class for customizing the look of the cluster icon used for a specific density range.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/cluster/ClusterTheme.html" title="class in com.here.android.mpa.cluster">ClusterTheme</a></td>
<td class="colLast">
<div class="block">A mapping of cluster density ranges to cluster icon styles.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/cluster/ClusterViewObject.html" title="class in com.here.android.mpa.cluster">ClusterViewObject</a></td>
<td class="colLast">
<div class="block">Represents a visual manifestation of a marker cluster.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/cluster/ImageClusterStyle.html" title="class in com.here.android.mpa.cluster">ImageClusterStyle</a></td>
<td class="colLast">
<div class="block">An implementation of a cluster style that uses an <a href="../../../../../com/here/android/mpa/common/Image.html" title="class in com.here.android.mpa.common"><code>Image</code></a>
 as the cluster icon.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package com.here.android.mpa.cluster Description">Package com.here.android.mpa.cluster Description</h2>
<div class="block">This
    package provides classes, interfaces, and enumerations for Marker clustering. With this feature,
    markers that are close together are automatically replaced by numbered cluster markers to
    indicate that multiple map markers are represented.

    <p>Some key classes and interfaces in this package are:</p>

    <ul>
        <li><a href="../../../../../com/here/android/mpa/cluster/ClusterLayer.html" title="class in com.here.android.mpa.cluster"><code>ClusterLayer</code></a></li>
        <li><a href="../../../../../com/here/android/mpa/cluster/ClusterTheme.html" title="class in com.here.android.mpa.cluster"><code>ClusterTheme</code></a></li>
        <li><a href="../../../../../com/here/android/mpa/cluster/ClusterStyle.html" title="class in com.here.android.mpa.cluster"><code>ClusterStyle</code></a></li>
    </ul>
    <p>
    For more information for using this feature, please consult the  "Marker Clustering" section
    in the HERE SDK for Android Developer's Guide.
    </p></div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/ar/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../com/here/android/mpa/common/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/cluster/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
